:root {
  --theme-color-base: #fff;
  --theme-color-text: #000;
  --theme-color-primary: #56B280;
  --mq-size-sm: 576px;
  --mq-size-md: 768px;
  --mq-size-lg: 992px;
  --mq-size-xl: 1200px;
}
body {
  box-sizing: border-box;
}

* {
  box-sizing: border-box;
}

.container {
  --container-width: 100%;
  width: var(--container-width);
  margin: 0 auto;
  padding: 0 15px;
}

.header__wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navigation__sublist {
  display: none;
}
.navigation__list {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navigation__item {
  display: flex;
  align-items: center;
  justify-content: center;
}

.navigation__link {
  font-family: Roboto;
  font-size: 16px;
  color: var(--theme-color-text);
  text-decoration: none;
}
.navigation {
  display: none;
}

.title {
  font-family: Poppins;
  font-weight: 500;
  font-size: 20px;
  line-height: 1.45;
  text-align: center;
  letter-spacing: -0.9px;
  color: var(--theme-color-text);
}
.subtitle {
  font-family: Poppins;
  font-weight: 500;
  font-size: 14px;
  line-height: 1.5;
  text-align: center;
  letter-spacing: 0.1px;
  color: #5E6E89;
}

.section {
  padding: 20px 0;
}
.section .subtitle {
  padding-top: 8px;
}

.product {
  display: flex;
  flex-direction: column;
  filter: drop-shadow(0px 4px 24px rgba(123, 123, 123, 0.15));
}

.product__img {
  display: block;
  height: 100%;
  width: 100%;
  object-fit: contain;
  object-position: center;
}

.product__img-wrap {
  height: 150px;
  background: #F7F8FA;
}

.product__title {
  font-family: Poppins;
  font-weight: 500;
  font-size: 13px;
  line-height: 1.7;
  letter-spacing: -0.9px;
  color: var(--theme-color-text);
}

.product__price {
  font-family: Roboto;
  font-weight: 500;
  font-size: 15px;
  line-height: 1.7;
  text-align: right;
  color: var(--theme-color-primary);
}

.product__info {
  background: var(--theme-color-base);
  padding: 12px;
}

.main-block {
  position: relative;
  height: 100vh;
}

.main-block__img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: right center;
}
.main-block__pattern {
  padding: 20px;
  position: absolute;
  left: 50%;
  top: 50%;
  width: 90%;
  transform: translate(-50%, -50%);
}
.cl-button {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px;
  height: 40px;
  background: var(--theme-color-primary);
  border-radius: 4px;
  outline: none;
  border: none;
  font-family: Roboto;
  font-weight: 500;
  font-size: 13px;
  line-height: 1.1;
  color: var(--theme-color-base);
  border: 1px solid transparent;
  transition: 0.5s;
  cursor: pointer;
}

.main-block__pattern:before {
  content: '';
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  // box-shadow: inset 0 0 0 200px hsl(0deg 0% 100% / 5%);
  background: hsla(0,0%,100%,.1);
  background: rgba(247, 248, 250, 0.8);
  backdrop-filter: blur(2px);
  width: 100%;
  height: 100%;
  position: absolute;
}
.main-block__pretitle {
  font-size: 20px;
}
.main-block__wrapper {
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  align-items: center;

}

.main-block__title {
  font-family: Poppins;
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 1.45;
}

.main-block__description {
  font-family: Roboto;
  font-size: 13px;
  line-height: 1.7;
  color: #1D252C;
  text-align: center;
}
.main-block .cl-button {
  margin-top: 20px;
}


.burger {
  height: 24px;
  width: 32px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
}
.burger.is-active .burger__item {
  background-color: pink;
}
.navigation.is-active {
  position: absolute;
  background: white;
  width: 300px;
  left: 0;
  z-index: 5;
  top: 0;
  height: 100vh;
  display: block;
}
.navigation.is-active .navigation__list {
  flex-direction: column;
}
.burger__item {
  display: block;
  width: 100%;
  height: 2px;
  background-color: var(--theme-color-primary);
}

@media (min-width: 576px) {
  .container {
    --container-width: var(--mq-size-sm);
  }
  .title {
    font-size: 25px;
  }

}
@media (min-width: 768px) {
  .container {
    --container-width: var(--mq-size-md);
  }
  .main-block__img {
    object-position: center;
  }
  .main-block__title {
    font-size: 25px;
  }
  .main-block .cl-button {
    margin-top: 30px;
  }
  .main-block__pattern {
    width: 50%;
  }
  .title {
    font-size: 30px;
  }
  .section {
    padding: 45px 0;
  }

}
@media (min-width: 992px) {
  .container {
    --container-width: var(--mq-size-lg);
  }
  .main-block__title {
    font-size: 35px;
  }
  .title {
    font-size: 35px;
  }
  
}
@media (min-width: 1200px) {
  .container {
    --container-width: var(--mq-size-xl);
  }
  .navigation {
    display: block;
  }
  .main-block__pattern {
    padding: 34px 94px 64px;
  }
  .main-block__title {
    font-size: 40px;
  }
  .cl-button {
    font-size: 20px;
    padding: 8px 44px;
  }
  .main-block__description {
    font-size: 18px;
  }
  .main-block .cl-button {
    margin-top: 45px;
  }
  .product__title {
    font-size: 16px;
  }
  .product__price {
    font-size: 20px;
  }
  .product__info {
    padding: 10px 26px 16px;
  }
  .title {
    font-size: 40px;
  }
  .subtitle {
    font-size: 18px;
  }
  .section .subtitle {
    padding-top: 15px;
  }
  .section {
    padding: 90px 0 125px;
  }

}
input:invalid {
  border: 1px solid red;
}
input:valid {
  border: 1px solid green;
}
@media (hover: hover) and (pointer: fine) {
  .cl-button:hover {
    border-color: var(--theme-color-primary);
    color: var(--theme-color-primary);
    background: transparent;
    transition: 0.5s;
  }
}